=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2007-08-21 03:02:16 +0000
+++ bzrlib/tests/__init__.py	2007-08-21 04:49:32 +0000
@@ -135,6 +135,7 @@
     import bzrlib.tests.interrepository_implementations
     import bzrlib.tests.interversionedfile_implementations
     import bzrlib.tests.intertree_implementations
+    import bzrlib.tests.inventory_implementations
     import bzrlib.tests.per_lock
     import bzrlib.tests.repository_implementations
     import bzrlib.tests.revisionstore_implementations
@@ -149,6 +150,7 @@
             bzrlib.tests.interrepository_implementations,
             bzrlib.tests.interversionedfile_implementations,
             bzrlib.tests.intertree_implementations,
+            bzrlib.tests.inventory_implementations,
             bzrlib.tests.per_lock,
             bzrlib.tests.repository_implementations,
             bzrlib.tests.revisionstore_implementations,

=== added directory 'bzrlib/tests/inventory_implementations'
=== added file 'bzrlib/tests/inventory_implementations/__init__.py'
--- bzrlib/tests/inventory_implementations/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/tests/inventory_implementations/__init__.py	2007-08-21 04:49:32 +0000
@@ -0,0 +1,51 @@
+# Copyright (C) 2007 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Tests for different inventory implementations"""
+
+
+from bzrlib.inventory import (
+    Inventory,
+    )
+
+from bzrlib.tests import (
+    TestCase,
+    multiply_tests_from_modules,
+    )
+
+
+class TestInventoryBasics(TestCase):
+    
+    def test_construction(self):
+        pass
+
+
+def _inventory_test_scenarios():
+    """Return a sequence of test scenarios.
+
+    Each scenario is (scenario_name_suffix, params).  The params are each 
+    set as attributes on the test case.
+    """
+    yield 'Inventory', dict(inventory_class=Inventory)
+
+
+def test_suite():
+    """Generate suite containing all parameterized tests"""
+    modules_to_test = [
+            'bzrlib.tests.inventory_implementations',
+            ]
+    return multiply_tests_from_modules(modules_to_test,
+            _inventory_test_scenarios())

